Qt is an application framework originally created by Trolltech and currently managed by Digia. The KDE desktop uses the Qt framework for its applications.

learn more… | top users | synonyms

0
votes
1answer
59 views

Running QML/C++ application build with CMake is unable to run from QtCreator or snap package

I am trying to get a QML/C++ application packaged as a snap. I am using CMake as a build system. The application builds fine and I am able to run the executable by double clicking on it. When trying ...
0
votes
0answers
54 views

Qt5 on Ubuntu 16.04 [duplicate]

I have followed this https://wiki.qt.io/Install_Qt_5_on_Ubuntu But when I try qmake --version qmake: could not exec '/usr/lib/x86_64-linux-gnu/qt4/bin/qmake': No such file or directory I usr/...
0
votes
0answers
27 views

Ubuntu Touch Development - first steps in cross-compiling and installing?

I have a bit of home-built C++ code using Qt that I run on my Ubuntu Desktop, and I've been fooling around with the Aquaris M10 tablet running Ubuntu Touch for a while... I got to thinking, I'd really ...
3
votes
0answers
45 views

How can i build an ubuntu touch app only in c++ (without qml) and with cmake

is there a way to configure a cmake file for building a click-package without qml. i like to start programming in the main function with QApplication and only my own window class. my goal is to write ...
1
vote
1answer
31 views

Develop a Snap package for project using SDL2

I am currently developing an application that uses joystick input and generates different wave sounds using SDL. While the implementation works without any issues, once I package my application using ...
1
vote
0answers
590 views

Unity desktop on Raspberry Pi 2

The first thing needed to make it work is a driver. There was a Mesa and DRM driver for Broadcom VC4 developed recently by Eric Anholt. It's an OpenGL driver. http://dri.freedesktop.org/wiki/VC4/ ...
0
votes
0answers
18 views

QT unmet dependencies for smplayer

I was trying to upgrade smplayer, but aptitude tells that it's unable to solve the dependencies for libqt5script5 $>sudo aptitude dist-upgrade The following NEW packages will be installed: ...
1
vote
0answers
29 views

Can't figure out Cmake [closed]

I don't have much experience with Cmake and setting environment variables/paramaters, mainly because I've never needed to, things usually compile themselves. I'm trying to install heimdall. And i'm ...
2
votes
1answer
106 views

Ubuntu SDK : Having difficulty getting images to work in 'QML only app' when deploying to armhf device

When I deploy my QML only program to the desktop using the Ubuntu SDK, images that I have placed in the same folder as 'Main.qml' can be accessed and displayed correctly in the application using ...
0
votes
0answers
30 views

QtCreator error with qtversion Ubuntu 16.04 [duplicate]

i installed QtCreator in Ubuntu 16.04 with: sudo apt-get install qtcreator Then is opened qtcreator to start a project but i have this error: qtcreator error Ididnt installed anything related to ...
2
votes
1answer
4k views

Recent Qt repository

Is there any repository for latest Qt versions (recent version is 5.0.1 while ubuntu has 4.8) ? PS I found this PPA but it tagged as [deprecated]!!!, so I'm wondering what if there is official one ...
16
votes
1answer
396 views

How to change index in OptionSelector immediately (without animation)?

In my app, I use an OptionSelector to choose from a list of bike stations. I also have a map component with placemarkers for each station. When I tap a placemarker, it also changes the OptionSelector ...
7
votes
2answers
577 views

What is the default icon set in Ubuntu 16.04?

I would like my Qt configuration to match the default Ubuntu 16.04 style. What is the default icon set from the below list of icon sets?
0
votes
0answers
19 views

Ubuntu SDK with existing Qt installation

I have an existing Qt installation and I want to try Ubuntu SDK. I was wondering if there is a repository which can be added into the Qt Maintenance tool and install the Ubuntu SDK from there so I can ...
26
votes
3answers
31k views

What's the development package for Qt5 in 14.04

I want to build a Qt5 example on my desktop machine. I installed qt5-default and qtdeclarative5-dev, but I'm still getting this error: Project ERROR: Unknown module(s) in QT: quick qml Which ...
0
votes
1answer
32 views

Ubuntu SDK unable to play scope

I've just created a Unity Scope project in Ubuntu SDK. However I'm not able to run it, If I target the Desktop, I have the following error : Starting /usr/ubuntu-sdk-ide/share/qtcreator/ubuntu/...
0
votes
0answers
17 views

KDE Framework 5 qtcurve window background transparency

I am running Ubuntu 16.04 with KDE framework 5 on a machine with an AMD gpu and the open source drivers. In KDE, I've tried using qtcurve but I can't seem to change window background transparency-- I ...
0
votes
1answer
132 views

How to get an uniform look for Qt and GTK applications in xenial

Since I upgraded to xenial all the applications but the ones using Qt4 look uniform. For some reason the Qt4 applications like SpeedCrunch or Okular use the Plastique theme by default. The Plastique ...
5
votes
1answer
7k views

How to install PyQt for Python 3 in Ubuntu 14.10?

I found some tutorials online for earlier versions of Ubuntu but they didn't seem to work on Ubuntu 14.10; either that or I was doing it the wrong way. I want to use Qt Designer to design a GUI, use ...
0
votes
1answer
79 views

QtCore not found

I have problem regarding installation - when I want to compile KeePassX with cmake there is error with QtCore. I tried installing libqtcore, I got E: Unable to locate package libqt4-core Output of ...
0
votes
2answers
57 views

Qt5 apps won't open on one computer

There is a Qt5 app (Musescore), that I am trying to get to work on my second Ubuntu computer. On my main computer (Lubuntu 16.04), Musescore works fine, but on my second computer (also Lubuntu 16.04),...
1
vote
1answer
32 views

How to add qt qmake version 4.8 to qt creator?

I have Qt creator 5.4.1.I have qmake 5.4.1 but I wan to add qmake 4.8 for desktop version.How could I do? I install gcc4.8,but I don't know Is qmake install?(if it installed so where was it?) root@...
14
votes
5answers
11k views

make qt programs look good under XFCE?

I use xfce. My problem is - some programs look nice and some sort of ugly. AFAIK this is because XFCE is gtk and most programs use gtk theme, but some programs use qt and thus don't use gtk themes (...
15
votes
4answers
6k views

How can I theme my Qt app to resemble one written in Gtk?

Mark Shuttleworth recently blogged about the decision to include the Qt libraries in the 11.10 release, with a followup from Jono Bacon. The thing that puts me off Qt apps is that they don't blend in ...
3
votes
1answer
164 views

How can I store the value a user enters in a variable?

How can I store the value a user enters in a variable? For example I have this code: TextField {width: 37; height: 19 var id: q1 ...
23
votes
2answers
22k views

What is KDE, GTK, GTK+, QT, and/or GNOME?

I'm new to Ubuntu (and Linux in general). Sometimes when looking at programs in the Ubuntu Software Center, I see things about the programs being 'for the GTK+ environment', or 'for GNOME', or a ...
0
votes
3answers
6k views

How to install libQtGui.so.4 32bit on 64bit ubuntu

I am trying to compile the android tree on Ubuntu 64bit 12.04; The build fails on an error of missing shared library libQtGui.so.4; Check /usr/ lib files i found that: /usr/lib/ or /usr/lib32 doesn't ...
1
vote
4answers
7k views

Debug Qt application on ubuntu with root permission using qt creator

It is possible to run my application with root priviliges using sudo, like this: sudo ./MyApp Is it possible to debug my Qt application using root priviliges using QtCreator? How can I do this on ...
0
votes
0answers
43 views

Ubuntu GNOME and high resolution screen: icons in QT apps are too small. How to solve?

my brother got a new laptop, a Thinkpad X1 Carbon 4th generation. It features a screen with a rather large resolution of 2560x1440 px. Out of the box, GNOME scales well the size of the text and the ...
2
votes
1answer
3k views

Installing Qt 5.5.1 on Ubuntu 14.04 - throws qt.network.ssl error on terminal

I am planning to install qt 5.5.1 on my ubuntu 14.04 running on virtual machine. I have downloaded the installer from qt-io and when I try to install the setup, I notice the below warning on my ...
2
votes
3answers
12k views

“Failed to load platform plugin ”xcb“ ” while launching qt5 app on linux without qt installed

I wrote application for linux which uses QT5. But when I am trying to launch it on the linux without QT SDK installed, the output in console is: Failed to load platform plugin "xcb". Available ...
0
votes
0answers
43 views

How do I enable global menu for RStudio in 16.04?

I tried the solutions mentioned in this question but neither worked. RStudio version 0.99.896 on Ubuntu 16.04.
0
votes
1answer
65 views

How to update Qt from 5.2.1 to > 5.5

I am trying to install an application that requires qt 5.5 or higher. I think that I have just about downloaded the Internet, and still it shows 5.2.1. andrew@andrew-Aspire-E5-574:/usr/lib/x86_64-...
0
votes
1answer
2k views

How to install libqt4-core and libqt4-gui on ubuntu 16.04

Upgrade to 16.04. But the libqt4-core and libqt4-gui packages are missing. How could I install them on 16.04? Thanks.
4
votes
0answers
139 views

How to integrate Qt software like FocusWriter, Telegram, Toggl Desktop or RStudio?

What is required to integrate Qt applications such as FocusWriter, RStudio, Toggl Desktop or Telegram Desktop into the design of Ubuntu? By default, these applications look as follows on Ubuntu 16.04:...
0
votes
1answer
28 views

How to check Qt is working or not

I installed Qt version 4.8.5 in my ubuntu machine and how can i test a sample program. Can anyone provide me a sample .pro file and .cpp file ? or the sample of needful files to test Qt ?
1
vote
1answer
140 views

How to install Qt 5.x 32 bit on 64 bit ubuntu/debian?

How to install Qt 32 bit and correctly build an application on 64 bit ubuntu/debian? Are there i686 or 32 bit packages like in SUSE? Which repositories?
0
votes
1answer
75 views

How to install Qt verion 4.8.1

How can i install Qt version 4.8.1 in Kubuntu 14.04 ? I cannot find the version 4.8.1 in the official Qt site's downloads list. Kindly help me to install the exact version. Thanks
0
votes
1answer
67 views

I can't compile a Qt project

I was trying to compile a project I checked out from github but I get these errors: /usr/bin/ld: cannot find -lQtGui /usr/bin/ld: cannot find -lQtNetwork /usr/bin/ld: cannot find -lQtCore It worked ...
13
votes
1answer
4k views

Make a Debian Package (.deb) from a Qt Project

I did several projects on Qt Creator and I would like to distribute them in an installable format (in this case, Debian Packages). More info about my Qt installation (and my system): Qt version 4.8....
0
votes
0answers
86 views

Qt related build error when installing v4l-utils 1.10 from source in Ubuntu 14.04

I tried to install v4l-utils version 1.10.0, but encountered build errors. I'm using Ubuntu 14.04 32bit. I ran following commands in the terminal: cd ~ tar -xvf v4l-utils-1.10.0.tar.bz2 cd v4l-utils-...
29
votes
4answers
19k views

Why is Canonical choosing QT over GTK for Unity's next generation?

So much has been written that I'm kind of confused, but if I'm not mistaken Canonical is building the next generation of Unity for mobile devices with Qt, and in the near future the desktop will also ...
13
votes
3answers
14k views

Cannot mix incompatible Qt library

I found a lot of problems similar to mine on the web, but still no real solution. I'm having the annoying Cannot mix incompatible Qt library (version 0x40806) with this library (version 0x40802) ...
1
vote
0answers
83 views

Installation issue fatal error: QtOpenGL/qgl.h: No such file or directory

What madness is this? Tried installing icub simulator from sources and when compilation reaches 54% then this madness happens. /icub-main/src/tools/iCubGui/src/animationview.cpp:35:0: /home/zzz/...
0
votes
0answers
16 views

Application GUI shriking in ubuntu 14.04

I have written an application in Qt and when i have executed it the appearance of application is varying from desktop to desktop both the desktops are containing same version of OS i.e Ubuntu-14.04 ...
3
votes
0answers
54 views

Unable start qt creator on ubuntu

I did install qt creator in ubuntu 14.04 using Ubuntu software center, but whenever i click on icon it just flashes but will not start, can please someone tell me the solution so that i can fix this ...
-1
votes
2answers
148 views

Is it bad to have Qt apps on a GTK evironment? [closed]

I'm using Xubuntu 14.04, it has XFCE environment, GTK3 engine and themes, and all my apps use GTK. But I would like to use a particular program (spyder) that demands Qt. Is it bad to have Qt apps on a ...
1
vote
0answers
63 views

QML unit testing: running qmltestrunner

I'm on ubuntu 14.04. I installed the Ubuntu SDK IDE. Running a QML App on my Ubuntu phone via the IDE works fine. I'm following this tutorial on testing https://developer.ubuntu.com/en/apps/qml/...
1
vote
1answer
107 views

Building qBitorrent with qt5 fails (qt4 works)

I want to build qBittorrent v3.4.0alpha with qt5, but I'm getting errors. In this qBittorrent version qt5 is the default, but running ./configure --with-qt4 && make builds it using qt4, which ...
2
votes
1answer
403 views

I have installed QT4.8.7 but CMAKE codul not match the path

I got the error message CMake Error at /usr/local/share/cmake-3.4/Modules/FindPackageHandleStandardArgs.cmake:148 (message): Could NOT find Qt4 (missing: QT_QTOPENGL_INCLUDE_DIR ...